<?php
/*
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//
ejt("UPDATE almacenes SET alm_id_empresa=1");
//
ejt("UPDATE cobrox SET cx_id_empresa=1");
//
ejt("UPDATE cobroz SET cob_id_empresa=1");
//
ejt("UPDATE compras SET dam='',dam_=0");
//EXTRER SERIE Y NUMERO DE LA COMPRA
$s="SELECT 	id_compra as ID,numero as NU FROM compras WHERE id_compra>0 ORDER BY id_compra";
$rs = grs($s);
while ($r = $rs->fetch_assoc()){
	$ID=$r['ID'];
	$NU=$r['NU'];
	//echo $ID."<br>";
	//echo $NU."<br>";
	$S="";
	$N="";	
	$P=strpos($NU,"-");
	//echo "P:".$P."<br>";
	if($P===false){
		$S="000";
		$N=vbr("000000".$NU,6);
	}else{
		$NU=explode("-",$NU);
		$S=vbr("000".$NU[0],3);
		$N=vbr("000000".$NU[1],6);		
	}
	$s="UPDATE compras SET ser='$S',numero='$N',ser_=$S,num_=$N WHERE id_compra=$ID";
	//echo $s."<br>";
	ejt($s);
	//echo "--------------------------------------------------------------<br>";
}
//return; 
//
ejt("UPDATE compras_det SET cv=0");
//
ejt("UPDATE contratos SET con_id_empresa=1");
//
ejt("UPDATE cotizaciones SET id_compra=0");
//
if(gn("count(*)","empresas","id_emp=0")==0){
	ejt("INSERT INTO empresas VALUES (0,'','','')");
	ejt("INSERT INTO empresas VALUES (1,'LQ','LQ','')");
}
//
ejt("UPDATE ginterna SET gi_car=''");
//
ejt("UPDATE guias SET id_emp_r=1 WHERE id_comr<>0");
//
ejt("UPDATE transferencias SET r_com='',r_ser='',r_num='',carreta=''");
//
ejt("UPDATE usuarios SET id_emp=0,et='1' WHERE id_usuario=0");
ejt("UPDATE usuarios SET id_emp=1,et='0' WHERE id_usuario>0");
//

$s="SELECT 	id_venta as IDV,ven_id_ven as IDC FROM ventas WHERE ven_id_com=-3 ORDER BY id_venta";
$rs = grs($s);
while ($r = $rs->fetch_assoc()){
	$IDV=$r['IDV'];
	$IDC=$r['IDC'];
	$SER=gs("CONCAT(ser,'-',num)","cotizaciones","id_cotizacion=$IDC");
	$SER=explode("-",$SER);
	$S=$SER[0];
	$N=$SER[1];
	ejt("UPDATE ventas SET ven_r_ser='$S',ven_r_num='$N' WHERE id_venta=$IDV");
	
}
echo "OK";
*/
?>